

namespace WWWings_GO
{

 /// <summary>
 /// Erweiterungen der Klasse Person, wird auch auch Passagier und Pilot vererbt
 /// </summary>
 public partial class Person
 {
  public string GanzerName { get { return this.Vorname + " " + this.Name; } }

  public override string ToString()
  {
   return "Person #" + this.ID + ": " + this.GanzerName;
  }
 }

 /// <summary>
 /// Erweiterungen der Klasse Flug, wird auch auch Passagier und Pilot vererbt
 /// </summary>
 public partial class Flug
 {
  public string Route { get { return this.Abflugort + " -> " + this.Zielort; } }

  public override string ToString()
  {
   return "Flug #" + this.ID + ": " + this.Route + ": " + this.FreiePlaetze + " von " + this.Plaetze + " frei.";
  }
 }

}
